//
//  M0motorPWM.h
//  
//
//  Created by Dale Heatherington on 5/3/16.
//
// Configures SAMD21 based Arduino boards for  PWM  on analog pins A1 & A2 for motor control.
// Uses Generic clock 4 and TC4.
/*This Code is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
 *  This source code is provided as is, without warranty.
 *  You may copy and distribute verbatim copies of this document.
 *  You may modify and use this source code to create binary code
 *  for your own purposes, free or commercial.
*/

#ifndef M0motorPWM_h
#define M0motorPWM_h


class M0motorPWM
{
public:
    M0motorPWM(void);
    void start(int,bool);       //Start pwm on pins A1 & A2.   Arg is optional divisor for prescaler
    void start(int);
    void start(void);
    void setSpeed(int,int);     //Set speed 0..255. 1st arg is pwm on pin A1, 2nd arg is pin A2
    void stop(int);             //Stop pwm.  Arg sets pins A1 & A2 LOW or HIGH
    void setPeriod(int);        //Set 8 bit pwm period, 0..255.  default is 255.
    
    int per ;                   //Holds PWM period value 0.255
    
};


#endif /* M0motorPWM_h */
