#include "M0motorPWM.h"

/*  Example for dual PWM motor control library for M0 SAMD21  boards.  
    This only works with M0 SAMD21 boards like Arduino Zero, Sparkfun SAMD21 and Adafruit Feather M0.  
    
    functions:
    start(clkdivisor,invert) Starts pwm on pins A1 and A2.  Clock divisor defaults to 8 if not supplied
                             pwm frequency is 48000000/(clkdivisor*(period+1))
                             Optional "invert" set true you want inverted pwm output.
                            
    stop(HIGHorLOW)          Stops pwm and sets pins A1 & A2 HIGH or LOW 
    setPeriod(0..255)        Sets high limit of 8 bit pwm counter.  Range 0..255
    setSpeed(pwm2,pwm5)      Set the pwm value on pins A1 and A2.  Range is 0 to Period
    
    */

M0motorPWM pwm;       //Create an instance of pwm motor control
int i = 0;

void setup() {
 
  pwm.start();       //Start pwm on pins A1 and A2. Clock divisor set to 8.  48 mhz/8 = 6 mhz clock to 8 bit pwm counter
                      
  pwm.setPeriod(249); // Set high limit of pwm counter to 249.   Period can be set to 0..255.
                      // pwm frequency wil be 48000000 / (8*(period+1)) .  In this case f=24.00khz
  
}

void loop() {
  
  if(i++ > 249) i = 0;  
  
  pwm.setSpeed(i,32);   //Set pwm.  pin A1 = i,  pin A2 = 32  .  Range is 0 to period value.

  
  
  delay(10);

}
